org.apache.xmlgraphics.ps.dsc.events

## Class AbstractDSCComment

- java.lang.Object
- - org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
  - - org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment

- All Implemented Interfaces:
    DSCParserConstants, DSCComment, DSCEvent
  Direct Known Subclasses:
    AbstractResourceDSCComment, AbstractResourcesDSCComment, DSCAtend, DSCCommentBeginDocument, DSCCommentBoundingBox, DSCCommentEndComments, DSCCommentEndOfFile, DSCCommentLanguageLevel, DSCCommentPage, DSCCommentPages, DSCCommentTitle

      public abstract class AbstractDSCComment
      extends AbstractEvent
      implements DSCComment

  Abstract base class for DSC comments.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants

      `COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDSCComment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DSCComment` | `asDSCComment()` Casts this instance to a DSCComment if possible.
    `int` | `getEventType()` Returns the event type.
    `boolean` | `isAtend()` Indicates whether the DSC comment's value is "Atend".
    `boolean` | `isDSCComment()` Indicates whether the instance is a DSC comment.
    `protected java.util.List` | `splitParams(java.lang.String value)` Splits the params of the DSC comment value in to a List.

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent

      `asLine, isComment, isHeaderComment, isLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCComment

      `generate, getName, hasValues, parseValue`

    - ### Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent

      `asLine, isComment, isHeaderComment, isLine`

- - ### Constructor Detail

    - #### AbstractDSCComment

          public AbstractDSCComment()

  - ### Method Detail

    - #### splitParams

          protected java.util.List splitParams(java.lang.String value)

      Splits the params of the DSC comment value in to a List.
      Parameters:
        `value` - the DSC comment value
      Returns:
        the List of values

    - #### isAtend

          public boolean isAtend()

      Description copied from interface: `DSCComment`
      Indicates whether the DSC comment's value is "Atend".
      Specified by:
        `isAtend` in interface `DSCComment`
      Returns:
        true if the value is "Atend"
      See Also:
        `DSCComment.isAtend()`

    - #### asDSCComment

          public DSCComment asDSCComment()

      Description copied from interface: `DSCEvent`
      Casts this instance to a DSCComment if possible.
      Specified by:
        `asDSCComment` in interface `DSCEvent`
      Overrides:
        `asDSCComment` in class `AbstractEvent`
      Returns:
        this event as a DSCComment
      See Also:
        `AbstractEvent.asDSCComment()`

    - #### isDSCComment

          public boolean isDSCComment()

      Description copied from interface: `DSCEvent`
      Indicates whether the instance is a DSC comment.
      Specified by:
        `isDSCComment` in interface `DSCEvent`
      Overrides:
        `isDSCComment` in class `AbstractEvent`
      Returns:
        true if the instance is a DSC comment
      See Also:
        `AbstractEvent.isDSCComment()`

    - #### getEventType

          public int getEventType()

      Description copied from interface: `DSCEvent`
      Returns the event type.
      Specified by:
        `getEventType` in interface `DSCEvent`
      Returns:
        the event type (see `DSCParserConstants`)
      See Also:
        `DSCEvent.getEventType()`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.